> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/network-services/vpn-gateway/api-how-tos/retrieve-all-wireguard-gateways.md).

# Retrieve all Wireguard Gateways

This endpoint enables retrieving all WireGuard Gateways using pagination and optional filters.

To retrieve all the WireGuard Gateways, perform a `GET` request.

## Endpoint

Use a [<mark style="color:blue;">region-specific</mark>](/cloud/network-services/vpn-gateway/api-how-tos.md#endpoints) endpoint to retrieve all WireGuard Gateways: `https://vpn.{region}.ionos.com/wireguardgateways`.

## Request

```bash
curl --location \
--request GET 'https://vpn.de-fra.ionos.com/wireguardgateways?limit=100&offset=0' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJraWQiO'
```

{% tabs %}
{% tab title="Path Parameters" %}
Below is the list of optional Path Parameters:

| Query Parameters | Type    | Description                                                                                                                      | Example |
| ---------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------- | ------- |
| `offset`         | integer | The first element (of the total list of elements) to include in the response. Use together with limit for pagination. Default: 0 | 0       |
| `limit`          | integer | The maximum number of elements to return. Use together with offset for pagination. Default: 100                                  | 100     |
| {% endtab %}     |         |                                                                                                                                  |         |

{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| Header Parameters | Required | Type   | Description                                                                     |
| ----------------- | -------- | ------ | ------------------------------------------------------------------------------- |
| `Authorization`   | yes      | string | The Bearer token enables requests to authenticate using a JSON Web Token (JWT). |
| `Content-Type`    | no       | string | Set this to `application/json`.                                                 |
| {% endtab %}      |          |        |                                                                                 |
| {% endtabs %}     |          |        |                                                                                 |

## Response

**200 Successful operation**

```json
{
  "id": "55871672-381f-589c-8809-4ffbecd8b27c",
  "type": "collection",
  "href": "/wireguardgateways",
  "items": [
    {
      "id": "85c79b4b-5b40-570a-b788-58dd46ea71e2",
      "type": "wireguardgateway",
      "href": "/wireguardgateways/85c79b4b-5b40-570a-b788-58dd46ea71e2",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "status": "AVAILABLE",
        "statusMessage": null,
        "publicKey": "-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VuAyEApNLcmIfCLRwyGYN16teusuGPkdGo2C8OxiqaJLgOig4=\n-----END PUBLIC KEY-----\n"
      },
      "properties": {
        "name": "My Company Gateway",
        "description": "This gateway allows connections to Datacenter LAN X.",
        "gatewayIP": "81.173.1.2",
        "interfaceIPv4CIDR": "172.16.0.1/30",
        "interfaceIPv6CIDR": "fd00::2/128",
        "connections": [
          {
            "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
            "lanId": "2",
            "ipv4CIDR": "192.168.1.100/24",
            "ipv6CIDR": "fd28:5f8d:d9fe:08bd::/64"
          }
        ],
        "listenPort": 51820,
        "tier": "STANDARD",
        "maintenanceWindow": {
          "time": "16:30:59",
          "dayOfTheWeek": "Monday"
        }
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}
```

{% hint style="success" %}
**Result:** All existing WireGuard Gateways and their details are successfully obtained.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/network-services/vpn-gateway/api-how-tos/retrieve-all-wireguard-gateways.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
